<h2> Latest News</h2>
<br>
<div style= "margin-left: 8rem;">
  <button id= "btn1" type="button" class="btn btn-dark" >Bangkok Post</button>
  <button id= "btn2" type="button" class="btn btn-dark" style= "margin-left: 60px;">New York Times</button></div>
<br>
<div id="1" style= "display:block;" >
  <div class="row row-cols-1 row-cols-md-2">
    <% @resp.first(10).each do |resp | %>
      <div class="col mb-4" >
        <div class="card" style="width: 24rem; margin: 0 auto">
          <img src="<%= resp.image %>" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title"><%= resp.title %></h5>
            <p class="card-text"><%= resp.desc %></p>
            <a href= "<%= resp.url %>" class="btn btn-secondary">Read more</a>
          </div>
        </div>
      </div>
    <% end %>
  </div>
</div>
<div id="2" style= "display:none;">
  <div  class="row row-cols-1 row-cols-md-2" >
    <% @resp2.first(10).each do |resp2 | %>
      <div class="col mb-4">
        <div class="card" style="width: 24rem;margin: 0 auto">
          <img src="<%= resp2.image %>" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title"><%= resp2.title %></h5>
            <p class="card-text"><%= resp2.desc %></p>
            <a href= "<%= resp2.url %>" class="btn btn-secondary">Read more</a>
          </div>
        </div>
      </div>
    <% end %>
  </div>
</div>
<script>
  const div1 = document.getElementById("1");
  const btn1 = document.getElementById("btn1");
  const div2 = document.getElementById("2");
  const btn2 = document.getElementById("btn2");
  btn2.onclick = function () {
    if (div1.style.display !== "none") {
      div1.style.display = "none";
      div2.style.display = "block";
    }
  };
  btn1.onclick = function () {
    if (div2.style.display !== "none") {
      div1.style.display = "block";
      div2.style.display = "none";
    }
  };
</script>
